#define HSE_VALUE    ((uint32_t)8000000) //   

#include "stm32f4xx.h"
#include "stm32f4xx_gpio.h"
#include "stm32f4xx_rcc.h"
#include "src/st7735/lcd7735.h"


//   
volatile unsigned int delay_val;        //   delay_ms()

//-------------------------------------  SysTick -  1  
void SysTick_Handler(void) {
	if (delay_val>0) delay_val--;
}


//-----------------------------------    delay_value 
void delay_ms(unsigned int delay_value) {
	delay_val=delay_value;
	while (delay_val!=0);
}

int main(void)
{
	GPIO_InitTypeDef  GPIO_InitStructure;


	SystemInit(); //     168 

    SysTick_Config(SystemCoreClock/1000); //  systick (1 )



    RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOD, ENABLE);
	GPIO_InitStructure.GPIO_Pin  =GPIO_Pin_12;
	GPIO_InitStructure.GPIO_Mode =GPIO_Mode_OUT;
	GPIO_InitStructure.GPIO_OType=GPIO_OType_PP;
	GPIO_InitStructure.GPIO_PuPd =GPIO_PuPd_UP;
	GPIO_InitStructure.GPIO_Speed=GPIO_Speed_100MHz;
	GPIO_Init(GPIOD, &GPIO_InitStructure);

	lcd7735_init(); //   LCD

    while(1) //        
    {
    	delay_ms(500);
    	GPIO_SetBits(GPIOD, GPIO_Pin_12);
    	delay_ms(500);
    	GPIO_ResetBits(GPIOD, GPIO_Pin_12);
    }
}
